List Collection Favourites Endpoint
curl --request GET \
--url https://api.example.com/api/v1/merchants/{merchant_id}/collections/favourites \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/merchants/{merchant_id}/collections/favourites"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/merchants/{merchant_id}/collections/favourites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collections": [
{
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externally_owned": true,
"title": "<string>",
"uri": "<string>",
"updated_at": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"n_main_products": 123,
"manual_product_count": 123,
"image_urls": [],
"cover_image_url": "<string>",
"metrics": {
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"total_revenue": {
"value": 0,
"currency": "",
"delta_pct": 123
},
"total_views": {
"value": 0,
"delta_pct": 123
},
"total_clicks": {
"value": 0,
"delta_pct": 123
},
"avg_ctr": {
"value": 0,
"delta_pts": 123
},
"units_sold": {
"value": 0,
"delta_pct": 123
},
"avg_str": {
"value": 0,
"delta_pts": 123
},
"add_to_carts": {
"value": 0
},
"dead_stock": {
"value": 0
},
"avg_stock_coverage_days": 123,
"rpm": {
"value": 0,
"currency": ""
},
"velocity": {
"value": 0
},
"auto_lift": {
"pinned_ctr": 0,
"auto_ctr": 0
},
"top_product": {
"main_product_id": "<string>",
"title": "<string>",
"image_url": "<string>",
"revenue": 123
}
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Collections
List Collection Favourites Endpoint
GET
/
api
/
v1
/
merchants
/
{merchant_id}
/
collections
/
favourites
List Collection Favourites Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

